Create a new Approval Policy

Requires the APPROVAL_POLICY.CREATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
source_typeenumRequired
The object type of this approval policy.
Allowed values:
referencestringRequiredformat: "^\S+$"0-256 characters

The human-readable reference to this approval policy.

namestringRequired
The name of this approval policy.
approval_typeenumRequired
The type of approval process which needs to be followed if this approval policy is invoked.
Allowed values:
rule_groupslist of objectsRequired
The groups of rules that are applicable for this approval policy. These will be chained using OR.
statusenum or nullOptional
The current status of the approval policy.
Allowed values:
approversobjectOptional

The type of approve level and users who are allowed to approve/decline the approval review.

Response

Created
source_typeenum
The object type of this approval policy.
Allowed values:
referencestringformat: "^\S+$"0-256 characters

The human-readable reference to this approval policy.

namestring
The name of this approval policy.
approval_typeenum
The type of approval process which needs to be followed if this approval policy is invoked.
Allowed values:
rule_groupslist of objects
The groups of rules that are applicable for this approval policy. These will be chained using OR.
object_typestring or nullRead-only
idstring or nullRead-only
statusenum or null
The current status of the approval policy.
Allowed values:
created_atstring or nullRead-only
When the approval policy was created.
update_atstring or nullRead-only
When the approval policy was updated last.
approversobject

The type of approve level and users who are allowed to approve/decline the approval review.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error